Đến nội dung


Hình ảnh
* * - - - 1 Bình chọn

[Đã xong] In nhiều bản vẽ trong model mà chỉ cần 1 layout


  • Please log in to reply
112 replies to this topic

#21 dovananh.xd

dovananh.xd

    biết lệnh offset

  • Members
  • PipPipPip
  • 174 Bài viết
Điểm đánh giá: 25 (tàm tạm)

Đã gửi 16 March 2012 - 09:46 AM

Hình minh họa đây nè!Hình đã gửi
  • 0

#22 dovananh.xd

dovananh.xd

    biết lệnh offset

  • Members
  • PipPipPip
  • 174 Bài viết
Điểm đánh giá: 25 (tàm tạm)

Đã gửi 16 March 2012 - 10:32 AM

Aloooo! @thanhduan2407
  • 0

#23 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5685 Bài viết
Điểm đánh giá: 2606 (tuyệt vời)

Đã gửi 16 March 2012 - 10:58 AM

@Dovananh.xd : không có mem nào có nghĩa vụ ngồi chờ người khác hỏi và trả lời ngay, vì vậy mong bạn kiên nhẫn với câu hỏi của mình :)
  • 0

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#24 dovananh.xd

dovananh.xd

    biết lệnh offset

  • Members
  • PipPipPip
  • 174 Bài viết
Điểm đánh giá: 25 (tàm tạm)

Đã gửi 16 March 2012 - 11:03 AM

@Dovananh.xd : không có mem nào có nghĩa vụ ngồi chờ người khác hỏi và trả lời ngay, vì vậy mong bạn kiên nhẫn với câu hỏi của mình :)

Hehe, thanks bác đã nhắc nhở. Bác có thể xem xét hộ em luôn không ạ?
  • 0

#25 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5685 Bài viết
Điểm đánh giá: 2606 (tuyệt vời)

Đã gửi 16 March 2012 - 11:42 AM

Chắc là không bạn ạ :) Để làm như thế thì cần biết cái khung của bạn nó trông như thế nào, cái Text nó ra làm sao, nó làm bằng Text hay ATT, nó nằm trong Block Khung tên hay nó rời rạc, quy luật tăng là như thế nào ...v...v Nói chung là rất nhiều lý do. Tuy nhiên lý do lớn nhất vẫn là bạn k để ý Nội quy yêu cầu lisp, mà mình thì nói nhiều rồi, mệt rồi, xin không nói nữa ^^
  • 0

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#26 dovananh.xd

dovananh.xd

    biết lệnh offset

  • Members
  • PipPipPip
  • 174 Bài viết
Điểm đánh giá: 25 (tàm tạm)

Đã gửi 16 March 2012 - 12:03 PM

Chắc là không bạn ạ :) Để làm như thế thì cần biết cái khung của bạn nó trông như thế nào, cái Text nó ra làm sao, nó làm bằng Text hay ATT, nó nằm trong Block Khung tên hay nó rời rạc, quy luật tăng là như thế nào ...v...v Nói chung là rất nhiều lý do. Tuy nhiên lý do lớn nhất vẫn là bạn k để ý Nội quy yêu cầu lisp, mà mình thì nói nhiều rồi, mệt rồi, xin không nói nữa ^^

File đây bác. Xem giúp em nhé!
http://www.cadviet.c...ckl75doanab.dwg
  • 0

#27 dovananh.xd

dovananh.xd

    biết lệnh offset

  • Members
  • PipPipPip
  • 174 Bài viết
Điểm đánh giá: 25 (tàm tạm)

Đã gửi 16 March 2012 - 02:43 PM

Em có file đuôi fas nhờ bác giải mã luôn không biết có được không ạ?
http://www.cadviet.c...3/89140_duc.rar
  • 0

#28 dovananh.xd

dovananh.xd

    biết lệnh offset

  • Members
  • PipPipPip
  • 174 Bài viết
Điểm đánh giá: 25 (tàm tạm)

Đã gửi 18 March 2012 - 12:09 PM

Bác
"thanhduan2407" đã có công viết ra cái lisp này thì mong bác hoàn chỉnh luân giúp em với được không ạh?
  • 0

#29 thanhduan2407

thanhduan2407

    biết lệnh adcenter

  • Advance Member
  • PipPipPipPipPipPipPip
  • 995 Bài viết
Điểm đánh giá: 223 (khá)

Đã gửi 18 March 2012 - 02:02 PM

thực sự mình đang bận trong việc học hành ôn thi bên kinh tế. Lâu rồi ko động đến lisp nhưng vẫn ghé thăm có gì hay không? Ý tưởng bạn đưa ra mình làm lâu rồi. Có rồi, số hiệu bản vẽ tự động, ngày tháng....nói chung là có hết rồi. 1 ngày mình đang hì hục viết trên word thì bị 1 tin trời đánh, sếp bắt đi công trình, lúc đó mình đang ôn thi cao học kinh tế nên ko đi, sếp cho nghỉ luôn. Thế là toi con gà. Khi nào rảnh, có thời gian mình cứ post lên cho những ai thích nghịch ngợm. :). Mình rất thích ý tưởng hay....
  • 0



Tôi là con kiến bò trên sa mạc kiến thức bao la. Biển học thật rộng lớn







#30 thanhduan2407

thanhduan2407

    biết lệnh adcenter

  • Advance Member
  • PipPipPipPipPipPipPip
  • 995 Bài viết
Điểm đánh giá: 223 (khá)

Đã gửi 18 March 2012 - 02:14 PM

Những ai gửi mail cho mình vào Mail: heaven2407@gmail.com. Mình sẽ tặng tất cả các lisp mình có.
P/s: chỉ có những ai làm cùng ngành nghề với mình Trắc Địa hoặc liên quan đến Trắc Địa thì sẽ thấy hay. Cũng vì phải bỏ ra thời gian và công sức nên các bạn nên tôn trọng người viết nha. Dù nó (lisp)đơn giản thôi nhưng ý tưởng mới là vấn đề. Mình thích những cái đơn giản nhưng hay là mình thích.
  • 0



Tôi là con kiến bò trên sa mạc kiến thức bao la. Biển học thật rộng lớn







#31 iclickvn

iclickvn

    Chưa sử dụng CAD

  • Members
  • Pip
  • 2 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 18 March 2012 - 03:40 PM

hay thế... đúng cái e đang tìm
thanks for share










____________________________________________________________
thiet ke web gia re | thiết kế web giá rẻ | thiet ke website gia re | web gia re

may anh canon l may quay sony

visa to vietnam legitimated and supported by the Vietnamese Immigration Department. visa for vietnam and visa services for tourist and business visas vietnam visas . vietnam visa online legitimated and supported by the Vietnamese Immigration Department. vietnam visa on arrival and visa services for tourist and business visas vietnam visa application
  • 0

#32 thanhduan2407

thanhduan2407

    biết lệnh adcenter

  • Advance Member
  • PipPipPipPipPipPipPip
  • 995 Bài viết
Điểm đánh giá: 223 (khá)

Đã gửi 18 March 2012 - 04:58 PM

Lisp trên mình đã cải tiến lâu rồi nhưng quên chưa update lại. Thành thật xin lỗi mọi người.
Lisp trên có nhược điểm là khi chọn Pline thì ko được zoom, vì khi mình zoom thì lúc "Pan" sẽ sai. Do vậy mình đã sử dụng lệnh Align để cái tiến nó. Zoom tẹt ga. Hề hề. Trong tuần tới mình sẽ bỏ ra 1 chút để update. Ai cần toàn bộ lisp. Cứ mail cho mình: heaven2407@gmail.com
  • 1



Tôi là con kiến bò trên sa mạc kiến thức bao la. Biển học thật rộng lớn







#33 thanhduan2407

thanhduan2407

    biết lệnh adcenter

  • Advance Member
  • PipPipPipPipPipPipPip
  • 995 Bài viết
Điểm đánh giá: 223 (khá)

Đã gửi 19 March 2012 - 11:09 AM

Bác
"thanhduan2407" đã có công viết ra cái lisp này thì mong bác hoàn chỉnh luân giúp em với được không ạh?


(defun c:ikn (/ olmode pre D1 D2 ent i dsdinh) ;;;In khung nghieng
(vl-load-com)
(command "undo" "be")
(setq olmode (getvar "OSMODE"))
(setvar "OSMODE" 1)
(setq h 2) ;;;;Chieu cao chu (Ten so hieu ban ve)
(setq pre "< KC, CN KT>: ")
(entmake (list (cons 0 "TEXT") (cons 40 h) (cons 1 pre) (cons 10 '(0 0 0))))
(command "ddedit" (entlast) "")
(setq pre (cdr(assoc 1 (entget(entlast)))))
(entdel (entlast))
(setq dau (getint "\n Danh so bat dau (n):"))
(command "PSPACE")
(setq
po (getpoint "\nChon vi tri dat so hieu ban ve : ")
D1 (getpoint "\nChon diem thu nhat: ")
D2 (getpoint "\nChon diem thu hai: ")

)
(command "MSPACE")
(setq ent (entsel "\nChon pline "))
(setq i 0)
(setq dsdinh (acet-geom-vertex-list (car ent)))
(setq n (/ (length dsdinh) 2))
(if ent
(progn
(repeat n
(alignspace (nth i dsdinh)(nth (1+ i) dsdinh) D1 D2)
(command "PSPACE")
(setq txt (strcat pre (if (< dau 10) (strcat "0" (itoa dau)) (itoa dau)) "/" (if (< n 10) (strcat "0" (rtos n 2 0)) (rtos n 2 0))))
(entmake (list (cons 0 "TEXT") (cons 40 h) (cons 1 txt) (cons 10 pO)))
(setq Elast (entlast))
(command "_plot" "" "" "" "" "" "" "")
(command "erase" Elast "")
(command "MSPACE")
(setq dau (+ dau 1))
(setq i (+ i 2))
)
)
)
(command "plan" "w")
(command "PSPACE")
(setvar "OSMODE" olmode)
(command "undo" "end")
(princ)
)

Bạn vẽ Pline đi qua 2 góc dưới cùng của bản vẽ và khi kích chọn điểm thứ nhất và điểm thứ 2, bạn kích chọn 2 điểm bên dưới của Mview để nó sẽ lấy 2 điểm dưới cùng của bản vẽ vừa khít với cạnh dưới cùng của Mview. Bạn hiểu lisp thì bạn sẽ làm được thôi. Mình tranh thủ gửi cho bạn.
P/s: Bạn nên tìm hiểu phần đánh số hiệu bản vẽ của bác Thaistress...gì gì đó. Lâu rồi ko vào nên quên. Sorry bác ý. Hii
  • 1



Tôi là con kiến bò trên sa mạc kiến thức bao la. Biển học thật rộng lớn







#34 Truong_AAn

Truong_AAn

    biết dimradius

  • Members
  • PipPipPipPipPip
  • 314 Bài viết
Điểm đánh giá: 68 (tàm tạm)

Đã gửi 19 March 2012 - 11:28 AM

sao minh in nó chỉ ra được cái khung đầu tiên và đường nối các bản vẽ. Nó cứ in liên tục làm mình tốn rất nhiều giấy phải shitdow máy rồi tắt máy in mới dừng được. mình dùng cad2011
  • 0
Hình đã gửi
----------------------------------------------------------------------------------//-------------------------------------------------------------------------------------

#35 dovananh.xd

dovananh.xd

    biết lệnh offset

  • Members
  • PipPipPip
  • 174 Bài viết
Điểm đánh giá: 25 (tàm tạm)

Đã gửi 19 March 2012 - 11:56 AM


(defun c:ikn (/ olmode pre D1 D2 ent i dsdinh) ;;;In khung nghieng
(vl-load-com)
(command "undo" "be")
(setq olmode (getvar "OSMODE"))
(setvar "OSMODE" 1)
(setq h 2) ;;;;Chieu cao chu (Ten so hieu ban ve)
(setq pre "< KC, CN KT>: ")
(entmake (list (cons 0 "TEXT") (cons 40 h) (cons 1 pre) (cons 10 '(0 0 0))))
(command "ddedit" (entlast) "")
(setq pre (cdr(assoc 1 (entget(entlast)))))
(entdel (entlast))
(setq dau (getint "\n Danh so bat dau (n):"))
(command "PSPACE")
(setq
po (getpoint "\nChon vi tri dat so hieu ban ve : ")
D1 (getpoint "\nChon diem thu nhat: ")
D2 (getpoint "\nChon diem thu hai: ")

)
(command "MSPACE")
(setq ent (entsel "\nChon pline "))
(setq i 0)
(setq dsdinh (acet-geom-vertex-list (car ent)))
(setq n (/ (length dsdinh) 2))
(if ent
(progn
(repeat n
(alignspace (nth i dsdinh)(nth (1+ i) dsdinh) D1 D2)
(command "PSPACE")
(setq txt (strcat pre (if (< dau 10) (strcat "0" (itoa dau)) (itoa dau)) "/" (if (< n 10) (strcat "0" (rtos n 2 0)) (rtos n 2 0))))
(entmake (list (cons 0 "TEXT") (cons 40 h) (cons 1 txt) (cons 10 pO)))
(setq Elast (entlast))
(command "_plot" "" "" "" "" "" "" "")
(command "erase" Elast "")
(command "MSPACE")
(setq dau (+ dau 1))
(setq i (+ i 2))
)
)
)
(command "plan" "w")
(command "PSPACE")
(setvar "OSMODE" olmode)
(command "undo" "end")
(princ)
)

Bạn vẽ Pline đi qua 2 góc dưới cùng của bản vẽ và khi kích chọn điểm thứ nhất và điểm thứ 2, bạn kích chọn 2 điểm bên dưới của Mview để nó sẽ lấy 2 điểm dưới cùng của bản vẽ vừa khít với cạnh dưới cùng của Mview. Bạn hiểu lisp thì bạn sẽ làm được thôi. Mình tranh thủ gửi cho bạn.
P/s: Bạn nên tìm hiểu phần đánh số hiệu bản vẽ của bác Thaistress...gì gì đó. Lâu rồi ko vào nên quên. Sorry bác ý. Hii

Nó báo lỗi thế này bác ạh:
Chon pline ; error: no function definition: ALIGNSPACE
  • 0

#36 thanhduan2407

thanhduan2407

    biết lệnh adcenter

  • Advance Member
  • PipPipPipPipPipPipPip
  • 995 Bài viết
Điểm đánh giá: 223 (khá)

Đã gửi 19 March 2012 - 01:35 PM

Bạn dùng Tools Express nhé. Nếu có rồi. Bọn gõ lệnh Al và làm 1 số động tác của lệnh ấy. Sau đó bạn dùng lisp của mình (mình cũng chưa biết nguyên nhân nhưng đã tìm ra cách như vậy). Bạn thử xem
  • 0



Tôi là con kiến bò trên sa mạc kiến thức bao la. Biển học thật rộng lớn







#37 thanhduan2407

thanhduan2407

    biết lệnh adcenter

  • Advance Member
  • PipPipPipPipPipPipPip
  • 995 Bài viết
Điểm đánh giá: 223 (khá)

Đã gửi 19 March 2012 - 01:39 PM

Để thực hành bạn nên thực hành với số lượng ít để xem. Bạn ko cần phải Restart lại máy mà nếu nhỡ nó chạy liên tục bạn sử dụng Ctr+Alt+Delete để cắt bỏ chương trình.
  • 0



Tôi là con kiến bò trên sa mạc kiến thức bao la. Biển học thật rộng lớn







#38 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5454 Bài viết
Điểm đánh giá: 2626 (tuyệt vời)

Đã gửi 19 March 2012 - 01:54 PM

Bạn dùng Tools Express nhé. Nếu có rồi. Bọn gõ lệnh Al và làm 1 số động tác của lệnh ấy. Sau đó bạn dùng lisp của mình (mình cũng chưa biết nguyên nhân nhưng đã tìm ra cách như vậy). Bạn thử xem

Hàm alignspace nằm trong file "aspace.lsp" thuộc Tool Express. Bình thường nó chưa được load. Muốn đưa hàm này vào lisp cần phải thêm dòng này
vào đầu lisp (load "aspace") để load nó, khi đó hàm alignspace mới có hiệu lực.
Rất nhiều hàm trong Tool Express không thể sử dụng được ngay đâu!
  • 1

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#39 thanhduan2407

thanhduan2407

    biết lệnh adcenter

  • Advance Member
  • PipPipPipPipPipPipPip
  • 995 Bài viết
Điểm đánh giá: 223 (khá)

Đã gửi 19 March 2012 - 02:15 PM

Cảm ơn bạn Doan Van Ha. Mình thích nhưng ko có thời gian. Sau này mình vẫn đam mê và đi sâu hơn nữa.
  • 1



Tôi là con kiến bò trên sa mạc kiến thức bao la. Biển học thật rộng lớn







#40 dovananh.xd

dovananh.xd

    biết lệnh offset

  • Members
  • PipPipPip
  • 174 Bài viết
Điểm đánh giá: 25 (tàm tạm)

Đã gửi 19 March 2012 - 02:16 PM

Hàm alignspace nằm trong file "aspace.lsp" thuộc Tool Express. Bình thường nó chưa được load. Muốn đưa hàm này vào lisp cần phải thêm dòng này
vào đầu lisp (load "aspace") để load nó, khi đó hàm alignspace mới có hiệu lực.
Rất nhiều hàm trong Tool Express không thể sử dụng được ngay đâu!

Thanks bác nhé, em làm được rồi.
À này bác Doan Van Ha ơi, nếu mình muốn bỏ stt bản vẽ/ tổng bản vẽ thì sửa thế nào?
  • 0